Skip to main content
PATCH
/
users
/
{id}
Update user profile
curl --request PATCH \
  --url https://api.example.com/users/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "confirmAvatar": true,
  "removeAvatar": true
}
'
{
  "id": "<string>",
  "username": "<string>",
  "avatarUrl": "<string>",
  "identities": [
    {
      "provider": "<string>",
      "providerAccountId": "<string>",
      "proxyWallet": "<string>"
    }
  ]
}

Path Parameters

id
string
required

Body

application/json

Body

username
string
Required string length: 3 - 30
Pattern: ^[a-zA-Z0-9_]+$
confirmAvatar
enum<boolean>
Available options:
true
removeAvatar
enum<boolean>
Available options:
true

Response

200

id
string
required
username
string | null
required
avatarUrl
string | null
required
identities
object[]
required